Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356732 - Clipboard not working with xrdp
Summary: Clipboard not working with xrdp
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xrdp
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 21:27 UTC by Todd
Modified: 2016-10-29 01:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-29 01:22:34 UTC


Attachments (Terms of Use)
vncconfig from an open xrdp session on the server (deleted)
2016-07-14 21:27 UTC, Todd
no flags Details

Description Todd 2016-07-14 21:27:47 UTC
Created attachment 1179964 [details]
vncconfig from an open xrdp session on the server

Dear Red Hat,

This bug makes it an absolute nightmare to do remote maintenance!

Would one of our intrepid heroes please fix this for me?

Client 1:
   Scientific Linux 7.2 (RHEL 7.2 Clone)
   rdesktop-1.8.3-1.el7.nux.x86_64

Client 2:
   mstsc.exe 6.3.9600.16415 from Windows 7 Professional


Server: 
   Fedora core 24, x64
   xrdp-0.9.0-5.fc24.x86_64
   Xfce 4.12

Neither clipboard from Linux works or the clipboard from Windows.  Yes both are configured for clipboard and both work when logged into a Windows RDP )terminal services) server.

And the clipboard *IS* supported in xrdp as of 0.7.0.  See
http://www.xrdp.org/index.php?option=com_content&view=article&id=12:clipboard&catid=2:documents&Itemid=7

     "The clipboard in RDP support several formats.  As of xrdp v 0.7.0,
      bitmaps are supported.  You can copy and paste images between your
      Linux or Windows client and xrdp server"


This is a nightmare.  Please fix as soon as possible!

Many thanks,
-T

Comment 1 Todd 2016-07-14 21:32:21 UTC
This also reproduces on Scientific Linux 7.2 and xrdp 0.9.0 as the server.  I had to upgrade the server to FC24 do to SL 7.2 randomly not recognizing my system drives, which I reported under 

https://bugzilla.redhat.com/show_bug.cgi?id=1353423

Comment 2 Todd 2016-08-08 22:34:26 UTC
This really becoming a total pain in the neck (not my exact word).  I am having to manually type huge long activation codes into my software (typo city).

Comment 3 Itamar Reis Peixoto 2016-10-29 01:22:34 UTC
please report this bug against, https://github.com/neutrinolabs/xrdp

thank you.

Comment 4 Todd 2016-10-29 01:29:16 UTC
(In reply to Itamar Reis Peixoto from comment #3)
> please report this bug against, https://github.com/neutrinolabs/xrdp
> 
> thank you.

Hi Itamar,

Will do. 

https://github.com/neutrinolabs/xrdp/issues/469

Thank you for the link.  I had no idea where it was.

-T


Note You need to log in before you can comment on or make changes to this bug.